
Advertising - Bug #2274

Error 500 when copy project in admin

22 Dec 2013 09:26 - Minh Thien

Status: Closed Start date: 22 Dec 2013

Priority: Major Due date: 12 Jun 2014

Assignee: Andriy Lesyuk % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 0.2.1   

Redmine version:  External issue:  

Description

I copy a project in admin and it’s get a error 500 in Redmine.

if I uninstall Advertising (Reklama) plugin, Redmine copy projetcs is successful.

Environment:

  Redmine version                2.4.1.stable

  Ruby version                   1.9.3-p448 (2013-06-27) [x86_64-linux]

  Rails version                  3.2.15

  Environment                    production

  Database adapter               Mysql2

 

Started GET "/projects/eda_designer/copy" for xx.xx.xx.xx

Processing by ProjectsController#copy as HTML

  Parameters: {"id"=>"eda_designer"}

  Current user: xxx (id=5)

  Rendered projects/_form.html.erb (25.7ms)

  Rendered projects/copy.html.erb within layouts/base (64.4ms)

Completed 500 Internal Server Error in 261.7ms

ActionView::Template::Error (can't convert nil into Integer):

    47:     <div id="main-menu">

    48:         <%= render_main_menu(@project) %>

    49:     </div>

    50:     <% end %>

    51: </div>

    52: 

    53: <div id="main" class="<%= sidebar_content? ? '' : 'nosidebar' %>">

  lib/redmine/hook.rb:61:in `block (2 levels) in call_hook'

  lib/redmine/hook.rb:61:in `each'

  lib/redmine/hook.rb:61:in `block in call_hook'

  lib/redmine/hook.rb:58:in `tap'

  lib/redmine/hook.rb:58:in `call_hook'

  lib/redmine/hook.rb:158:in `call_hook'

  app/helpers/application_helper.rb:1186:in `view_layouts_base_sidebar_hook_response'

  app/helpers/application_helper.rb:1182:in `sidebar_content?'

  app/views/layouts/base.html.erb:50:in `_app_views_layouts_base_html_erb___2112305189385173297_38

977580'

Associated revisions

Revision 32 - 12 Jun 2014 12:25 - Andriy Lesyuk

Not showing ads for new records (#2274)

History

#1 - 11 Jun 2014 00:19 - Andriy Lesyuk

09 Apr 2024 1/2



- Description updated

- Status changed from New to Open

- Priority changed from Critical to Major

- Target version set to 0.2.1

#2 - 12 Jun 2014 12:26 - Andriy Lesyuk

- Due date set to 12 Jun 2014

- Status changed from Open to Closed

- % Done changed from 0 to 100
